#define HEADER 1  /* to indicate that we're inside of a header file */

/**************************************************************************

    This file is part of 'tfc for windows', a character-mode graphical
	side-by-side file compare utility.

    Copyright (c) 1996 - 2000 by Daniel Schroeder (tadzio@tadzio.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation (see gpl.txt in this package); 
	either version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License (gpl.txt) for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

***************************************************************************/


/**************************************************************************
***************************************************************************

 MODULE      ERROR.h

 PROJECT     tfc

 COMPILER    Microsoft Visual C++

 DATE        21.12.95

 AUTHOR      D. Schrder

 ABSTRACT    Fehlerbehandlungsroutinen fr tfc

 HISTORY     20.07.97 14:21:20 Erste compilierfhige Windows-Version
***************************************************************************
**************************************************************************/



/* GLOBAL DEFINES ********************************************************/



/* GLOBAL CONSTANTS **********************************************************/


/* GLOBAL VARIABLES **********************************************************/


/* GLOBAL FUNCTIONS **********************************************************/

/* FUNCTION **************************************************************/

void error(PUCHAR string, UINT rc);

/*-------------------------------------------------------------------------
SPECIFICATION:  Gibt eine kurze Fehlermeldung im Format "\nError: %s, rc = %x",
                string, rc nach stdout aus, wartet auf
                einen Tastendruck und kehrt dann einfach zurck.
                rc und string werden in keiner Weise interpretiert.

Parameters:     string: Ein mitauszugebender String, z.B. der Name der Funktion,
                  die den Fehler verursacht hat.
                rc: der auszugebende Fehlercode

Side Effects:   Bildschirmausgabe, Warten auf Tastendruck

Return Value:   keine

-------------------------------------------------------------------------*/



#undef HEADER  /* header file ends here */
