#define HEADER 1  /* to indicate that we're inside of a header file */

/**************************************************************************

    This file is part of 'tfc for windows', a character-mode graphical
	side-by-side file compare utility.

    Copyright (c) 1996 - 2000 by Daniel Schroeder (tadzio@tadzio.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation (see gpl.txt in this package); 
	either version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License (gpl.txt) for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

***************************************************************************/


/**************************************************************************
***************************************************************************

 MODULE      HELP.h

 PROJECT     TFC for Windows

 COMPILER    Microsoft Visual C++ 5.0

 DATE        21.6.97

 AUTHOR      D. Schrder

 ABSTRACT    Ausgabe von Hilfetexten und Fehlermeldungen.

 HISTORY     21.6.97 19:00 Portierung auf Win32
             22.8.96 21:00 erste Version

***************************************************************************
**************************************************************************/



/* GLOBAL DEFINES ********************************************************/



/* GLOBAL CONSTANTS **********************************************************/


/* GLOBAL VARIABLES **********************************************************/


/* GLOBAL FUNCTIONS **********************************************************/

/* FUNCTION **************************************************************/

    void printHelp(void);

/*-------------------------------------------------------------------------
SPECIFICATION:  zeigt einen Hilfetext an, falls das Programm ohne oder
                mit falschen Parametern aufgerufen wurde. Der Text wird
                ohne Farbattribute oder Cursorpositionierungen (also quasi
                als TTY) ausgegeben

PARAMETERS:     keine

SIDE EFFECTS:   Ausgabe eines Hilfetextes auf den Bildschirm (stdout)

RETURN VALUES:  keine

-------------------------------------------------------------------------*/


/* FUNCTION **************************************************************/

    void printxHelp(USHORT rows);

/*-------------------------------------------------------------------------
SPECIFICATION:  zeigt einen erweiterten Hilfetext an. Dabei werden Farb-
                attribute und Cursorpositionierung verwendet.

                Sollte aufgerufen werden, wenn der Benutzer F1 drckt.

PARAMETERS:     rows: Seitenlaenge in Bildschirmzeilen

SIDE EFFECTS:   Ausgabe eines Hilfetextes auf den Bildschirm (stdout)

RETURN VALUES:  keine

-------------------------------------------------------------------------*/



#undef HEADER  /* header file ends here */
