#define HEADER 1  /* to indicate that we're inside of a header file */

/**************************************************************************

    This file is part of 'tfc for windows', a character-mode graphical
	side-by-side file compare utility.

    Copyright (c) 1996 - 2000 by Daniel Schroeder (tadzio@tadzio.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation (see gpl.txt in this package); 
	either version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License (gpl.txt) for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

***************************************************************************/


/**************************************************************************
***************************************************************************
**
** MODULE      main.h                             (c) D.Schrder 1997
**
** PROJECT     TFC for Win32
**
** COMPILER    Microsoft Visual C++ 5.0
**
** AUTHOR      Daniel Schrder
**
** ABSTRACT    Ein Dateivergleicher, angelehnt an den jfc aus dem XTree-
**             Paket; Hauptmodul
**
**
** HISTORY     21.8.96 20:36 Ideen, Stoffsammlung
**             29.5.97 Portierung auf Win32
**
***************************************************************************
**************************************************************************/



/* GLOBAL DEFINES ********************************************************/
#define TFC_VERSION "2.21a"            /* mu *immer* 5 Zeichen lang sein! */



/* GLOBAL CONSTANTS **********************************************************/


/* GLOBAL VARIABLES **********************************************************/


/* GLOBAL FUNCTIONS **********************************************************/

/* FUNCTION **************************************************************/

int main(int argc, char *argv[], char *envp[]);

/*-------------------------------------------------------------------------
SPECIFICATION: Hauptfunktion; Ablaufsteuerung.
               Das Projekt zerfllt in zwei groe Teilaufgaben:
               - Vergleichsoperation
               - Darstellung
               Dazu kommen einige Nebenaufgaben wie Kommandozeilen- bzw
               Config-File-Auswertung, Dateioperationen etc

Parameters:    bergabeparameter des Betriebssystems

Side Effects:

Return Value:  ffs

-------------------------------------------------------------------------*/
  


#undef HEADER  /* header file ends here */
